All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.ipage.iform
Class IFormHidden

    com.sas.servlet.tbeans.ipage.iform.IFormHidden

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, RenderableInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class IFormHidden

The IFormHidden is a TransformationBean™ used to produce a form using a variety of markup languages (including WML,HDML, and HTML). This class will produce the appropriate markup language based on the requesting browser. For example, if a user accesses a JSP page containing an IForm from their cell phone, the IForm bean will produce either WML or HDML based on the type of browser the cell phone contained. If another user accesses the same JSP page using Internet Explorer, the IForm bean would produce HTML instead.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:IFormHidden custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.ipage.BaseIPage
`HTML_PROLOG, WML_PROLOG`

Constructor Summary
`IFormHidden()` The default constructor.
`IFormHidden(java.lang.String name, java.lang.String value)` Construct a new IFormHidden.
`IFormHidden(java.lang.String name, java.lang.String value, boolean resolveSpecialCharacters)` Construct a new IFormHidden.

Method Summary
`java.lang.String` | `getValue()` Gets the value of the element.
`boolean` | `isResolveSpecialCharacters()` Returns true if the value member is set to be resolved
`void` | `setResolveSpecialCharacters(boolean resolveSpecialCharacters)` Sets the resolveSpecialCharacters boolean
`void` | `setValue(java.lang.String value)` Sets the value of this element.
`void` | `writeBase(java.io.PrintWriter out)` Writes the main base section of the IFormElement bean.
`void` | `writeFooter(java.io.PrintWriter out)` Writes the footer.
`void` | `writeHeader(java.io.PrintWriter out)` Writes the header.

Methods inherited from class com.sas.servlet.tbeans.ipage.iform.BaseIFormElement
`getAcceptLabel, getAcceptURL, getParentIForm, getPrompt, getShortPrompt, setAcceptLabel, setAcceptURL, setParentIForm, setPrompt, setShortPrompt, write, write`

Methods inherited from class com.sas.servlet.tbeans.ipage.BaseIPage
`addOption, getBrowserType, getCacheTimeToLive, getOptionLabel, getOptionURL, getTitle, resolveNewLine, setBrowserType, setCacheTimeToLive, setId, setName, setName, setRequest, setResponse, setStyle, setStyleClass, setTitle, toString, writeBase, writeBase, writeFooter, writeFooter, writeHeader, writeHeader`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setInputTransform, setLocale, setLocaleDependentProperties, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, write, write, write`

Constructor Detail

### IFormHidden

    public IFormHidden()

  The default constructor.

### IFormHidden

    public IFormHidden(java.lang.String name,
                       java.lang.String value)

  Construct a new IFormHidden.

  Parameters:
    `name` - The name of the element
    `value` - The value of the element

### IFormHidden

    public IFormHidden(java.lang.String name,
                       java.lang.String value,
                       boolean resolveSpecialCharacters)

  Construct a new IFormHidden.

  Parameters:
    `name` - The name of the element
    `value` - The value of the element
    `resolveSpecialCharacters` - If boolean value is true, will resolve the value String based on markup language.

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Sets the value of this element. This is the value assoicated with the hidden field's name.

  Parameters:
    `value` - The value String

### getValue

    public java.lang.String getValue()

  Gets the value of the element.

  Returns:
    The value String

### setResolveSpecialCharacters

    public void setResolveSpecialCharacters(boolean resolveSpecialCharacters)

  Sets the resolveSpecialCharacters boolean

  Parameters:
    `resolveSpecialCharacters` - If boolean value is true, will resolve the value String based on markup language. For example, $ will be replaced with $$ in WML or replaced with &dol; in HDML.

### isResolveSpecialCharacters

    public boolean isResolveSpecialCharacters()

  Returns true if the value member is set to be resolved

  Returns:
    The resolveSpecialCharacters boolean

### writeHeader

    public void writeHeader(java.io.PrintWriter out)
                     throws java.io.IOException

  Writes the header. Writes IFormElement's header markup.

  Overrides:
    `writeHeader` in class `BaseIFormElement`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### writeBase

    public void writeBase(java.io.PrintWriter out)
                   throws java.io.IOException

  Writes the main base section of the IFormElement bean. The writeHeader method should be called before this method and writeFooter should be called after this method.

  Overrides:
    `writeBase` in class `BaseIFormElement`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### writeFooter

    public void writeFooter(java.io.PrintWriter out)
                     throws java.io.IOException

  Writes the footer. Writes the IFormElement footer information. This is normally the last information written.

  Overrides:
    `writeFooter` in class `BaseIFormElement`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.